package com.jz.common.utils;

import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * @ClassName: 将数据从session存储/取出
 * @Author: Carl
 * @Date: 2020/12/2
 * @Version:
 */
public class UserContextUtil {

    /**
     * 从session中获取数据
     * @param objName 存储到session中的对象的变量名
     */
    public static Object pop(String objName) {
        HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        return request.getSession().getAttribute(objName);
    }

    /**
     * 把数据存储到session中
     * @param objName 存储到session中的对象的变量名
     * @param o 存储的任意数据
     */
    public static void push(String objName, Object o) {
        HttpServletRequest request =
                ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        request.getSession().setAttribute(objName, o);
    }
}
